String label = "jenkins-${UUID.randomUUID().toString()}" as String
properties([gitLabConnection('gitlab')])
node {
  String buildType = 'feature'
  try {
    gitlabBuilds(builds: ['checkout', 'deploy dev']) {
        stage('checkout') {
          gitlabCommitStatus('checkout') {
            checkout scm
            sh "ls -la"
          }
        }
        
        stage('deploy dev') {
          gitlabCommitStatus('deploy dev') {
            sh 'curl -X POST -u kumar:1137e1f5c0746bf9fd7dbc709324f8c329 -H "Content-Type:application/xml" -d @config.xml "http://localhost:8080/createItem?name=App1"'
            sh 'curl -X POST -u kumar:1137e1f5c0746bf9fd7dbc709324f8c329 "http://localhost:8080/job/App1/build"'
          }
        }
  
    }
    currentBuild.result = 'SUCCESS'
  } catch (e) {
    currentBuild.result = 'FAILURE'
    echo "${e}"
  }
}
